package edu.uoc.prototip.vista.action;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;
import org.apache.struts2.convention.annotation.ResultPath;
import org.apache.struts2.convention.annotation.Results;
import org.springframework.beans.factory.annotation.Autowired;

import com.opensymphony.xwork2.ActionSupport;

import edu.uoc.prototip.controller.Bo.UserBo;
import edu.uoc.prototip.model.User;

//@Namespace("/")
@ResultPath(value="/")
@Action(value="index") 
@Results({
	@Result(name="success",location="index.jsp"),
	@Result(name="login",location="user/userform.jsp")
	})

public class IndexAction extends ActionSupport{

	private static final long serialVersionUID = 891L;

	@Autowired
	private UserBo userBo;
	private String user;
	private String pass;
	
	public String execute() { 
		String returnValue="succes";
		if(userBo.login(user, pass))
			returnValue = "login";
			
	   return returnValue; 
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getPass() {
		return pass;
	}

	public void setPass(String pass) {
		this.pass = pass;
	}
}