package edu.uoc.prototip.vista.action;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;
import org.apache.struts2.convention.annotation.ResultPath;
import org.springframework.beans.factory.annotation.Autowired;

import com.opensymphony.xwork2.ActionSupport;

import edu.uoc.prototip.controller.Bo.UserBo;
import edu.uoc.prototip.model.User;

//@Namespace("/")
@ResultPath(value="/")
@Action(value="result", results={@Result(name="success",location="user/result.jsp")})
public class ResultAction extends ActionSupport{
	@Autowired
	private UserBo userBo;
	private static final long serialVersionUID = 1L;
	
	private String name;
	private String pass;

	public String execute() {
	   User user = new User();
	   
	   user.setUser(name);
	   user.setPass(pass);
	   
	   
	   userBo.addUser(user);
	   
	   return SUCCESS; 
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPass() {
		return pass;
	}
	public void setPass(String pass) {
		this.pass = pass;
	}

}