package edu.uoc.prototip.controller.Bo.Impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import edu.uoc.prototip.controller.Bo.UserBo;
import edu.uoc.prototip.controller.DAO.UserDAO;
import edu.uoc.prototip.model.User;

@Service
public class UserBoImpl implements UserBo{

	@Autowired
	UserDAO userDAO;
	
	@Override
	public void addUser(User user) {
		userDAO.create(user);
	}

	@Override
	public List<User> findAllUser() {
		return userDAO.read();
	}

	@Override
	public boolean login(String user, String pass) {
		boolean login = false;
		
		login = userDAO.read(user, pass) != null;
		
		return login;
	}
}
