package edu.uoc.prototip.controller.DAO.Impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate5.HibernateTemplate;

import edu.uoc.prototip.controller.DAO.GenericDAO;


public abstract class GenericDaoImpl implements GenericDAO {

	@Autowired
	HibernateTemplate template;

	@Override
	public void create(Object entity) {
		template.save(entity);		
	}

	@Override
	public void update(Object entity) {
		template.update(entity);
	}

	@Override
	public void delete(Object entity) {
		template.delete(entity);
		
	}

}
