package edu.uoc.prototip.controller.DAO.Impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate5.HibernateTemplate;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import edu.uoc.prototip.controller.DAO.UserDAO;
import edu.uoc.prototip.model.User;

@Repository
@Transactional(readOnly = false)
public class UserDaoImpl extends GenericDaoImpl implements UserDAO {

	@Autowired
	HibernateTemplate template;

	@Override
	public User read(int id) {
		return (User) template.find("from User where id = ?",id).get(0);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<User> read() {
		return (List<User>) template.find("from User");
	}

	@Override
	public User read(String user, String pass) {
		User userData = null;
		List<User> userlist = (List<User>) template.find("from User where user = ? and pass = ?",user,pass);
		if(userlist.size() > 0)
			userData = userlist.get(0);
		return userData;

	}

	
}
