/**
 * 
 */
package edu.uoc.prototip.execFramework;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;

import edu.uoc.framework.Config.ContextFrameworkConfig;
import edu.uoc.framework.Main.Generator;
import edu.uoc.prototip.config.AppConfig;

/**
 * @author JBuch
 * 
 */
public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		@SuppressWarnings("resource")
		AnnotationConfigApplicationContext ctx = new AnnotationConfigApplicationContext();

		ctx.register(AppConfig.class, ContextFrameworkConfig.class);
		ctx.refresh();
		
		Generator gen = ctx.getBean(Generator.class);
		
		Package pkg = Package.getPackage("edu.uoc.prototip.model");
		
		gen.setPkg(pkg);
		gen.run();
	}

}
